petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatShellGetContext

Returns the user-provided context associated with a shell matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellGetContext(Mat mat,void *ctx)

Not Collective Many br

### Input Parameter

mat -the matrix, should have been created with MatCreateShell() Many br

### Output Parameter

ctx -the user provided context Many br

Many br

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this Many brfunction that tells Fortran the Fortran derived data type that you are passing in as the ctx argument. Many br

### Keywords

matrix, shell, get, context

### See Also

MatCreateShell(), MatShellSetOperation(), MatShellSetContext()

Level:advanced
Location:src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex22f_mf.F90.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html